diff -u cvs/hq/wine/memory/virtual.c wine/memory/virtual.c
--- cvs/hq/wine/memory/virtual.c	Sun Apr 22 13:01:24 2001
+++ wine/memory/virtual.c	Sun Apr 22 17:01:05 2001
@@ -1564,7 +1564,7 @@
      * view created. Since we don`t support this yet, we create the
      * whole mapping commited.
      */
-    prot |= VPROT_COMMITTED;
+    /*prot |= VPROT_COMMITTED;*/
 
     /* Map the file */
 
@@ -1662,6 +1662,16 @@
         SetLastError( ERROR_INVALID_PARAMETER );
         return FALSE;
     }
+
+    if (GetVersion() & 0x80000000)  /* win95 */
+    {
+	if (!(view->protect & VPROT_COMMITTED))
+	{
+	    TRACE("Returning TRUE without unmapping for Win9x");
+	    return TRUE;
+	}
+    }
+
     VIRTUAL_DeleteView( view );
     return TRUE;
 }
